Inyett Company Monitor
Delete a company from a portfolio
Removes a company from the portfolio and stops monitoring it for changes. The company’s change history is not returned by other endpoints afterwards.
DELETE
/
3
/
{profileCountry}
/
monitor
/
portfolios
/
{id}
/
companies
Delete a company from a portfolio
curl --request DELETE \
--url https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies"
headers = {"X-Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
X-Api-KeyBearer
Api key needed to access the endpoints. X-Api-Key: My api key
Headers
App id
Path Parameters
The country whose scope/entitlement profile (SE or NO) is used to authorize the request. Determines which market-specific rules apply, independent of the country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
Available options:
SE, NO Identifier of the resource, as returned when it was created.
Query Parameters
Identifier of the company within the portfolio, as returned when it was added.
Response
OK
Was this page helpful?
⌘I
Delete a company from a portfolio
curl --request DELETE \
--url https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies"
headers = {"X-Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}